unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, MPlayer, ExtCtrls, Buttons;

type
  TForm4 = class(TForm)
    Panel1: TPanel;
    MediaPlayer1: TMediaPlayer;
    TrackBar1: TTrackBar;
    ListBox1: TListBox;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    Image2: TImage;
    Image5: TImage;
    Timer1: TTimer;
    procedure Image5Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Timer1Timer(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

{$R *.dfm}

procedure TForm4.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if image1.Tag=0 then begin
  mediaplayer1.play;
  image1.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'buttons\'+'pause.bmp');
  image1.tag:=1;
  timer1.enabled:=true;
end else begin
  mediaplayer1.pause;
  image1.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'buttons\'+'play.bmp');
  image1.tag:=0;
  timer1.enabled:=false;
end;
end;

procedure TForm4.Image2Click(Sender: TObject);
begin
  mediaplayer1.Stop;
  mediaplayer1.Position:=0;
  image1.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'buttons\'+'play.bmp');
  image1.tag:=0;
  timer1.enabled:=false;
end;

procedure TForm4.Image5Click(Sender: TObject);
begin
if opendialog1.Execute then begin
  mediaplayer1.FileName:=opendialog1.FileName;
  mediaplayer1.open;
  MediaPlayer1.DisplayRect := Panel1.ClientRect;
  mediaplayer1.play;
  image1.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+'buttons\'+'pause.bmp');
  image1.tag:=1;
  TrackBar1.Max:=MediaPlayer1.Length;
  timer1.enabled:=true;
  end;
end;


procedure TForm4.Timer1Timer(Sender: TObject);
begin
trackbar1.Position:=mediaplayer1.Position;
end;

procedure TForm4.TrackBar1Change(Sender: TObject);
begin
mediaplayer1.Position:=trackbar1.Position;
if image1.Tag=1 then mediaplayer1.play;
end;

end.
